This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### setMag()
Examples |
    PVector v = new PVector(3, 4, 0);
    v.setMag(10);
    println(v);  // Prints "[ 6.0, 8.0, 0.0 ]"
Description | Set the magnitude of this vector to the value used for the len parameter.
Syntax |
    .setMag(len)
    .setMag(target, len)
Parameters |
len | float: the new length for this vector
target | PVector: Set to null to create a new vector
len | float: the new length for the new vector
Returns | void or PVector

Updated on October 26, 2013 08:58:33pm PDT